Why does the PowerVR Installer exit without doing anything on Linux?

Tagged: ,

This topic contains 1 reply, has 1 voice, and was last updated by  BobGardner 4 years, 10 months ago.

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #31056

    BobGardner
    Member

    On some machines, after I have ran ‘chmod +x’ on the PowerVR SDK Installer, when I run it, it doesn’t actually launch.  It exits immediately, and cleanly without brining up the installer, why does this happen?  How can I fix it?

    #36363

    BobGardner
    Member

    Currently (v3.0 release 1) the SDK installer is only provided, for Linux, as a 32bit binary.  On some 64bit distributions the 32bit libraries are not installed.  On these machines the Installer will exit cleanly, without error, but will not run.  This happens because the OS does not include the 32bit compatibility libraries.

    This can be fixed by installing said libraries.  This varies from distro to distro and thus the instructions below cannot be gaurenteed to function on your distribution of choice.
    Debian based distributions:
    apt-get install ia32-libs
    Fedora based distributions:
    yum -y install --skip-broken glibc.i686 arts.i686 audiofile.i686 bzip2-libs.i686 cairo.i686 cyrus-sasl-lib.i686 dbus-libs.i686 directfb.i686 esound-libs.i686 fltk.i686 freeglut.i686 gtk2.i686 hal-libs.i686 imlib.i686 lcms-libs.i686 lesstif.i686 libacl.i686 libao.i686 libattr.i686 libcap.i686 libdrm.i686 libexif.i686 libgnomecanvas.i686 libICE.i686 libieee1284.i686 libsigc++20.i686 libSM.i686 libtool-ltdl.i686 libusb.i686 libwmf.i686 libwmf-lite.i686 libX11.i686 libXau.i686 libXaw.i686 libXcomposite.i686 libXdamage.i686 libXdmcp.i686 libXext.i686 libXfixes.i686 libxkbfile.i686 libxml2.i686 libXmu.i686 libXp.i686 libXpm.i686 libXScrnSaver.i686 libxslt.i686 libXt.i686 libXtst.i686 libXv.i686 libXxf86vm.i686 lzo.i686 mesa-libGL.i686 mesa-libGLU.i686 nas-libs.i686 nss_ldap.i686 cdk.i686 openldap.i686 pam.i686 popt.i686 pulseaudio-libs.i686 sane-backends-libs-gphoto2.i686 sane-backends-libs.i686 SDL.i686 svgalib.i686 unixODBC.i686 zlib.i686 compat-expat1.i686 compat-libstdc++-33.i686 openal-soft.i686 alsa-oss-libs.i686 redhat-lsb.i686 alsa-plugins-pulseaudio.i686 alsa-plugins-oss.i686 alsa-lib.i686 nspluginwrapper.i686 libXv.i686 libXScrnSaver.i686 qt.i686 qt-x11.i686 pulseaudio-libs.i686 pulseaudio-libs-glib2.i686 alsa-plugins-pulseaudio.i686'
    Not all of these libraries will be required, this solution is given as it is roughly equivalent to ‘apt-get install ia32-libs’.
Viewing 2 posts - 1 through 2 (of 2 total)
You must be logged in to reply to this topic.